This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 435227 - Review Request: xpsk31 - GTK+ graphical version of lpsk31
Review Request: xpsk31 - GTK+ graphical version of lpsk31
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 22:02 EST by Robert 'Bob' Jensen
Modified: 2008-08-12 14:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-03 11:09:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vanmeeuwen+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert 'Bob' Jensen 2008-02-27 22:02:56 EST
Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/xpsk31.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/xpsk31-0.7-3.fc8.src.rpm
Description: xpsk31 is a GTK+ graphical version of lpsk31, using the same basic signal decoding and encoding engine but controlled by the user via the GUI. In addition it has a FFT-derived "waterfall" display of the incoming signal and a "magniphase" display that shows the magnitude, phase and frequency error of the psk31 signal.

This srpm mock builds for Fedora 7, Fedora 8 and devel on i386 and x86_64. All resulting rpms are rpmlint clean.
Comment 1 Jeroen van Meeuwen 2008-02-28 18:29:14 EST
Source0 is a 404:

http://5b4az.chronos.org.uk/pkg/psk31/xpsk31/xpsk31-0.7.tar.gz

Comment 2 Robert 'Bob' Jensen 2008-02-28 18:34:30 EST
Upstream apparently deletes old source, the new source will require a version
bump http://5b4az.chronos.org.uk/pkg/psk31/xpsk31/xpsk31-0.8.tar.gz
Comment 3 Assim Deodia 2008-02-29 01:45:56 EST
Some pre-review pointers:- 

- Use of 
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
is recommended as it keeps the timestamps on installed files. This is useful 
for recent autotools based make file.

- INSTALL file is not required in %doc section as it is used to install from 
the source. RPM installation does not require INSTALL file.
Comment 4 Robert 'Bob' Jensen 2008-02-29 17:48:33 EST
I am going to stall this review for a couple days, Upstream has other related
packages I would like to also get in to the review process, they all will need
similar fixes.
Comment 5 Robert 'Bob' Jensen 2008-03-01 06:07:46 EST
I tried to update this package and ran in to problems. I will try again and
collect the build log if someone does not beat me to is.

Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/xpsk31.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/xpsk31-0.8-1.fc8.src.rpm
Comment 6 Jeroen van Meeuwen 2008-03-02 10:02:08 EST
Koji build on dist-f9:

http://koji.fedoraproject.org/koji/taskinfo?taskID=484167
Comment 7 Jeroen van Meeuwen 2008-03-02 10:03:44 EST
Fails on missing po/Makefile.in.in:

==
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: error: cannot find input file: po/Makefile.in.in
error: Bad exit status from /var/tmp/rpm-tmp.91780 (%build)
==
Comment 8 Jeroen van Meeuwen 2008-03-15 07:23:53 EDT
Changing status to NEEDINFO from Reporter
Comment 9 Lucian Langa 2008-07-16 04:31:29 EDT
Hello,

I'm taking over this review request because bob has some problems
I've corrected spec file and bumped version

new files:
http://lucilanga.fedorapeople.org/xpsk31.spec
http://lucilanga.fedorapeople.org/xpsk31-0.8-2.fc9.src.rpm
Comment 10 Jeroen van Meeuwen 2008-08-02 05:33:31 EDT
The source tarball is a 404, again, and it seems upstream has a new version 1.2
that builds with the same spec and patches

RPM Lint: OK, silent
Package name: OK
Spec file: OK
License: OK, GPLv2+
Actual License: OK, no license file but code says GPLv2+
%doc License: No, license is in the code
Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: Upstream tarball disappears when new version
is released. Newer version 1.2 builds with the same spec and the same patches,
so no problem. Might wanna contact upstream to make them have the tarballs
around a little longer though.

Compile and Build:
- F-7: OK
- F-8: OK
- rawhide: OK
- EL-5: OK

Applicable Package Guidelines:

Locales: N/A
Shared libs: N/A

Relocatable: N/A
Directory and file ownership: OK
No duplicate files in %files: OK
File Permissions: OK
Macro usage: OK
Code vs. Content: OK
(Large) Documentation: OK
%doc affecting runtime: OK
Header files in -devel package: N/A
Static Libraries in -static package: N/A
pkgconfig Requires: N/A
Library files: N/A
Devel requires base package: N/A
.la libtool archives: N/A
Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK

package approved in principle, but you might want to bump the version and
contact upstream about the disappearing tarballs.
Comment 11 Lucian Langa 2008-08-02 06:01:44 EDT
> The source tarball is a 404, again, and it seems upstream has a new version 1.2
> that builds with the same spec and patches

Verified building with 1.2, I will initial import the newer version and contact
upstream.
Comment 12 Lucian Langa 2008-08-02 06:02:15 EDT
New Package CVS Request
=======================
Package Name: xpsk31
Short Description: GTK+ graphical version of lpsk31 for Ham Radio
Owners: lucilanga,bjensen
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 13 Lucian Langa 2008-08-02 06:29:49 EDT
New Package CVS Request
=======================
Package Name: xpsk31
Short Description: GTK+ graphical version of lpsk31 for Ham Radio
Owners: lucilanga,bjensen
Branches: F-8 F-9 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2008-08-03 00:07:07 EDT
cvs done.
Comment 15 Fedora Update System 2008-08-03 11:03:02 EDT
xpsk31-1.2-1.fc9 has been submitted as an update for Fedora 9
Comment 16 Fedora Update System 2008-08-03 11:09:39 EDT
xpsk31-1.2-1.fc8 has been submitted as an update for Fedora 8
Comment 17 Fedora Update System 2008-08-12 14:21:11 EDT
xpsk31-1.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2008-08-12 14:27:02 EDT
xpsk31-1.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.